package com.aucma.report.domain;

import com.aucma.common.annotation.Excel;
import com.aucma.common.core.domain.BaseEntity;
import com.fasterxml.jackson.annotation.JsonProperty;

/**
 * 高故障率TOP20报表
 *
 * @author Yinq
 * @date 2024-03-15
 */
public class HighFaultReport extends BaseEntity {
    private static final long serialVersionUID = 1L;

    /**
     * 工厂
     */
    @Excel(name = "工厂")
    @JsonProperty("FACTORY_NAME")
    private String FACTORY_NAME;

    /**
     * 产线
     */
    @Excel(name = "产线")
    @JsonProperty("PRODUCT_LINE_NAME")
    private String PRODUCT_LINE_NAME;

    /**
     * 产品型号
     */
    @Excel(name = "产品型号")
    @JsonProperty("MATERIAL_MODEL")
    private String MATERIAL_MODEL;

    /**
     * 数量
     */
    @Excel(name = "数量")
    @JsonProperty("Q_SUM")
    private Long Q_SUM;

    public String getFACTORY_NAME() {
        return FACTORY_NAME;
    }

    public void setFACTORY_NAME(String FACTORY_NAME) {
        this.FACTORY_NAME = FACTORY_NAME;
    }

    public String getPRODUCT_LINE_NAME() {
        return PRODUCT_LINE_NAME;
    }

    public void setPRODUCT_LINE_NAME(String PRODUCT_LINE_NAME) {
        this.PRODUCT_LINE_NAME = PRODUCT_LINE_NAME;
    }

    public String getMATERIAL_MODEL() {
        return MATERIAL_MODEL;
    }

    public void setMATERIAL_MODEL(String MATERIAL_MODEL) {
        this.MATERIAL_MODEL = MATERIAL_MODEL;
    }

    public Long getQ_SUM() {
        return Q_SUM;
    }

    public void setQ_SUM(Long q_SUM) {
        Q_SUM = q_SUM;
    }
}
